com.independentsoft.exchange

## Class FolderId

- java.lang.Object
- - com.independentsoft.exchange.Id
  - - com.independentsoft.exchange.FolderId

- Direct Known Subclasses:
    AddressListId, StandardFolderId

      public class FolderId
      extends Id

  Contains the identifier and change key of a folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolderId()` Initializes a new instance of the FolderId class.
    `FolderId(java.lang.String id)` Initializes a new instance of the FolderId class.
    `FolderId(java.lang.String id, java.lang.String changeKey)` Initializes a new instance of the FolderId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()` Gets a string that identifies a folder in the Exchange store.
    `void` | `setId(java.lang.String id)` Sets a string that identifies a folder in the Exchange store.
    `java.lang.String` | `toString()` Converts the value of the current FolderId object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Id

      `getChangeKey, setChangeKey`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderId

          public FolderId()

      Initializes a new instance of the FolderId class.

    - #### FolderId

          public FolderId(java.lang.String id)

      Initializes a new instance of the FolderId class.
      Parameters:
        `id` - the id

    - #### FolderId

          public FolderId(java.lang.String id,
                          java.lang.String changeKey)

      Initializes a new instance of the FolderId class.
      Parameters:
        `id` - the id
        `changeKey` - the change key

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current FolderId object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getId

          public java.lang.String getId()

      Gets a string that identifies a folder in the Exchange store.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets a string that identifies a folder in the Exchange store.
      Parameters:
        `id` - the new id